diff --git a/include/linux/closure.h b/include/linux/closure.h
index 9537e18..0eb19c1 100644
--- a/include/linux/closure.h
+++ b/include/linux/closure.h
@@ -620,7 +620,7 @@ static inline void closure_wake_up(struct closure_waitlist *list)
 static inline void set_closure_fn(struct closure *cl, closure_fn *fn,
 				  struct workqueue_struct *wq)
 {
-	BUG_ON(object_is_on_stack(cl));
+	BUG_ON(object_starts_on_stack(cl));
 	closure_set_ip(cl);
 	cl->fn = fn;
 	cl->wq = wq;
